HostingManagers

Preview manager delivery assignment

POST/api/managers/{manager_code}/assign/delivery/preview

Returns delivery domains and accounts that would be assigned together with the requested resource.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

manager_code*string

Manager code: MN followed by 8 digits. Example: MN12345678.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

id*string

Delivery domain code or account id.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/managers/string/assign/delivery/preview" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json" \  -H "Content-Type: application/json" \  -d '{    "id": "string"  }'
Empty
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}